Eventum Logo

Eventum

RepositoriesNameCatalogEntryInstall

Install Generator

Install the published generator with specified name as a generator directory of the workspace.

POST
/repositories/{name}/catalog/{entry}/install

Path Parameters

name*Name

Name of the connected repository

Length1 <= length
entry*Entry

Name of the published generator

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/repositories/string/catalog/string/install" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "name": "string",
  "file_count": 0
}
Empty
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty
Empty
Empty